Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class VarianceGammaProcessDiffPCABridge

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.VarianceGammaProcess
              umontreal.iro.lecuyer.stochprocess.VarianceGammaProcessDiff
                  umontreal.iro.lecuyer.stochprocess.VarianceGammaProcessDiffPCA
                      umontreal.iro.lecuyer.stochprocess.VarianceGammaProcessDiffPCABridge

    public class VarianceGammaProcessDiffPCABridge

extends VarianceGammaProcessDiffPCA

Same as `VarianceGammaProcessDiff`, but the two inner `GammaProcess`'es are of the type PCABridge. Also, `generatePath(double[] uniform01)` distributes the lowest coordinates uniforms to the inner `GammaProcessPCABridge` according to their eigenvalues.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`VarianceGammaProcessDiffPCABridge(double s0, double theta, double sigma, double nu, RandomStream stream)` .

Method Summary

Methods inherited from class umontreal.iro.lecuyer.stochprocess.VarianceGammaProcessDiffPCA
`generatePath, generatePath, nextObservation`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.VarianceGammaProcessDiff
`getGneg, getGpos, resetStartProcess, setObservationTimes, setStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.VarianceGammaProcess
`getBrownianMotion, getGammaProcess, getNu, getSigma, getStream, getTheta, setParams`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarianceGammaProcessDiffPCABridge

    public VarianceGammaProcessDiffPCABridge(double s0,
                                             double theta,
                                             double sigma,
                                             double nu,
                                             RandomStream stream)

  . Constructs a new `VarianceGammaProcessDiffPCABridge` with parameters θ = , σ = , ν = and initial value S(t0) = . There is only one `RandomStream` here which is used for the two inner `GammaProcessPCABridge`'s. The other parameters are set as in `VarianceGammaProcessDiff`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.